Bug 20397 - xembed-sni-proxy doesn't work with GTK+3
Summary: xembed-sni-proxy doesn't work with GTK+3
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High major
Target Milestone: Mageia 6
Assignee: KDE maintainers
QA Contact:
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks:
 
Reported: 2017-03-05 14:43 CET by Frédéric Buclin
Modified: 2017-07-10 15:30 CEST (History)
4 users (show)

See Also:
Source RPM: plasma-workspace-5.8.5-12.mga6
CVE:
Status comment:


Attachments

Description Frédéric Buclin 2017-03-05 14:43:28 CET
As reported in bug 17592 comment 46 and bug 17592 comment 48, GTK+3 apps using xembed-sni-proxy have their status icon being non-responsive.

See also https://bugs.kde.org/show_bug.cgi?id=362941

It seems that upstream has a pretty low interest in this bug.
Frédéric Buclin 2017-03-05 14:43:47 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=17592, https://bugs.kde.org/show_bug.cgi?id=362941

Neal Gompa 2017-03-05 14:46:01 CET

CC: (none) => ngompa13

Marja van Waes 2017-03-06 10:10:38 CET

Assignee: bugsquad => kde
CC: (none) => marja11
Source RPM: (none) => plasma-workspace-5.8.5-12.mga6
Keywords: (none) => UPSTREAM

Samuel Verschelde 2017-03-07 10:35:21 CET

Priority: Normal => High
Target Milestone: --- => Mageia 6

Thierry Vignaud 2017-03-08 19:23:53 CET

CC: (none) => thierry.vignaud

Comment 1 Rémi Verschelde 2017-03-27 20:45:43 CEST
Should be fixed with the upstream patch in plasma-workspace-5.8.6-7.mga6. Let's check and report back upstream before closing our bug report.
Comment 2 Frédéric Buclin 2017-03-28 00:08:20 CEST
FYI, 5.8.6-7 doesn't fix the problem on my test machine. The status icon remains unclickable (if I disable SNI, of course).
Comment 3 Marja van Waes 2017-04-17 18:51:21 CEST
Readding comment #3 from 07-04-17 22:26, because it got lost when the old DB was restored.

--- Comment #3 from Nicolas Lécureuil ---
Some news about this ?

CC: (none) => mageia

Comment 4 Rémi Verschelde 2017-05-31 19:13:35 CEST
New upstream patch that fixes the previous one:
https://cgit.kde.org/plasma-workspace.git/commit/?id=7df184afa19f148c1cd09ae9588645bb2b4556fc

Can someone backport this? It's in the 5.10 branch but it's trivial enough so it should apply/be easy to rediff on 5.8.
Comment 5 Samuel Verschelde 2017-07-10 15:30:23 CEST
It works now, more or less (sometimes I have to click more than once, but overall it's fixed)

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.